Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.util.ajax
Class JSONObjectConvertor

    java.lang.Object
      org.mortbay.util.ajax.JSONObjectConvertor

All Implemented Interfaces:
  JSON.Convertor

    public class JSONObjectConvertor

extends java.lang.Object
implements JSON.Convertor

Convert an Object to JSON using reflection on getters methods.

Author:
  gregw

Constructor Summary
`JSONObjectConvertor()`
`JSONObjectConvertor(boolean fromJSON)`
`JSONObjectConvertor(boolean fromJSON, java.lang.String[] excluded)`

Method Summary
`java.lang.Object` | `fromJSON(java.util.Map map)`
`protected boolean` | `includeField(java.lang.String name, java.lang.Object o, java.lang.reflect.Method m)`
`void` | `toJSON(java.lang.Object obj, JSON.Output out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSONObjectConvertor

    public JSONObjectConvertor()

### JSONObjectConvertor

    public JSONObjectConvertor(boolean fromJSON)

### JSONObjectConvertor

    public JSONObjectConvertor(boolean fromJSON,
                               java.lang.String[] excluded)

Parameters:
  `fromJSON` -
  `excluded` - An array of field names to exclude from the conversion

Method Detail

### fromJSON

    public java.lang.Object fromJSON(java.util.Map map)

  Specified by:
    `fromJSON` in interface `JSON.Convertor`

### toJSON

    public void toJSON(java.lang.Object obj,
                       JSON.Output out)

  Specified by:
    `toJSON` in interface `JSON.Convertor`

### includeField

    protected boolean includeField(java.lang.String name,
                                   java.lang.Object o,
                                   java.lang.reflect.Method m)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.